# Author: Bas Terwijn
import sys
import os.path
import Protein

def print_score(filename,check_dimension):
    print(filename)
    protein=Protein.Protein(filename)
    if (protein.get_dimension()<=check_dimension):
        print(protein.compute_score())
    else:
        print("Allowed dimension exceeded!")

print("##### Heuristieken course, 2D")
print_score(os.path.join("proteins","Protein_2D14.txt"),2)
print_score(os.path.join("proteins","Protein_2D20.txt"),2)
print_score(os.path.join("proteins","Protein_2D36.txt"),2)
print_score(os.path.join("proteins","Protein_2D50.txt"),2)
print()

print("##### Heuristieken course, 3D")
print_score(os.path.join("proteins","Protein_3D14.txt"),3)
print_score(os.path.join("proteins","Protein_3D20.txt"),3)
print_score(os.path.join("proteins","Protein_3D36.txt"),3)
print_score(os.path.join("proteins","Protein_3D50.txt"),3)
print()

print("##### Zhang,Kou,Liua (2007) benchmark, 2D")
print_score(os.path.join("proteins","Protein_2D60.txt"),2)
print_score(os.path.join("proteins","Protein_2D64.txt"),2)
print_score(os.path.join("proteins","Protein_2D85.txt"),2)
print_score(os.path.join("proteins","Protein_2D100a.txt"),2)
print_score(os.path.join("proteins","Protein_2D100b.txt"),2)
print()

print("##### Zhang,Kou,Liua (2007) benchmark, 3D")
print_score(os.path.join("proteins","Protein_3D58.txt"),3)
print_score(os.path.join("proteins","Protein_3D64.txt"),3)
print_score(os.path.join("proteins","Protein_3D67.txt"),3)
print_score(os.path.join("proteins","Protein_3D88.txt"),3)
print_score(os.path.join("proteins","Protein_3D103.txt"),3)
print_score(os.path.join("proteins","Protein_3D124.txt"),3)
print_score(os.path.join("proteins","Protein_3D136.txt"),3)
print()

print("##### custom for this competition, 2D")
print_score(os.path.join("proteins","Protein_2D80.txt"),2)
print_score(os.path.join("proteins","Protein_2D200.txt"),2)
print_score(os.path.join("proteins","Protein_2D500.txt"),2)
print_score(os.path.join("proteins","Protein_2D1000.txt"),2)
print_score(os.path.join("proteins","Protein_2D2000.txt"),2)
print()

print("##### custom for this competition, 10D")
print_score(os.path.join("proteins","Protein_10D200.txt"),10)
print()
